@if (componentData$ | async; as componentData) {
  <div
    class="full-height full-width flex-column logout-page neutral-background-color overflow-hidden"
    [sqtmCoreWorkspace]="'home-workspace'"
  >
    <sqtm-core-horizontal-logout-bar
      class="flex-fixed-size full-width"
      [squashVersion]="componentData.squashVersion"
    >
    </sqtm-core-horizontal-logout-bar>
    @if (componentData.loggedOut) {
      <div class="flex-fixed-size full-width logged-out m-t-30 p-10">
        {{ 'sqtm-core.home-workspace.logged-out.title' | translate }}
      </div>
      <div class="overflow-hidden logout-message-wrapper full-height m-b-50">
        <div
          [attr.data-test-element-id]="'login-message'"
          class="logout-message container-background-color container-border p-30"
        >
          <div>
            {{ 'sqtm-core.home-workspace.logged-out.message' | translate }}
          </div>
          <div class="m-t-20">
            <!-- Using a standard link here to force js context swipe. All Angular app will be reloaded, preventing stale states if another user try to reconnect -->
            <a class="login-link" [href]="generateHref()">
              {{ 'sqtm-core.home-workspace.logged-out.reconnect' | translate }}
            </a>
          </div>
        </div>
      </div>
    } @else {
      <div class="full-height full-width">
        <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
      </div>
    }
  </div>
}
